      SUBROUTINE linterp2d (LBx, UBx, LBy, UBy,
     &                      Xinp, Yinp, Finp,
     &                      Istr, Iend, Jstr, Jend,
     &                      Xout, Yout, Fout)      


      use Agrif_Util
#include "Param_BeforeCall_linterp2d.h"
      integer(4), intent(in) :: LBx
      integer(4), intent(in) :: UBx
      integer(4), intent(in) :: LBy
      integer(4), intent(in) :: UBy
      integer(4), intent(in) :: Istr
      integer(4), intent(in) :: Iend
      integer(4), intent(in) :: Jstr
      integer(4), intent(in) :: Jend
      real(8), intent(in), dimension(LBx:UBx) :: Xinp
      real(8), intent(in), dimension(LBy:UBy) :: Yinp
      real(8), intent(in), dimension(LBx:UBx,LBy:UBy) :: Finp
      real(8), intent(in), dimension(-1: Agrif_tabvars_i(2)%iarray0+2+ A
     &grif_tabvars_i(13)%iarray0,-1: Agrif_tabvars_i(4)%iarray0+2+ Agrif
     &_tabvars_i(14)%iarray0) :: Xout
      real(8), intent(in), dimension(-1: Agrif_tabvars_i(2)%iarray0+2+ A
     &grif_tabvars_i(13)%iarray0,-1: Agrif_tabvars_i(4)%iarray0+2+ Agrif
     &_tabvars_i(14)%iarray0) :: Yout
      real(8), intent(out), dimension(-1: Agrif_tabvars_i(2)%iarray0+2+ 
     &Agrif_tabvars_i(13)%iarray0,-1: Agrif_tabvars_i(4)%iarray0+2+ Agri
     &f_tabvars_i(14)%iarray0) :: Fout
      

        call Sub_Loop_linterp2d(LBx,UBx,LBy,UBy,Xinp,Yinp,Finp,Istr,Iend
     &,Jstr,Jend,Xout,Yout,Fout, Agrif_tabvars_i(14)%iarray0, Agrif_tabv
     &ars_i(4)%iarray0, Agrif_tabvars_i(13)%iarray0, Agrif_tabvars_i(2)%
     &iarray0)

      end


#include "Sub_Loop_linterp2d.h"

      SUBROUTINE cinterp2d (LBx, UBx, LBy, UBy,
     &                      Xinp, Yinp, Finp,
     &                      Istr, Iend, Jstr, Jend,
     &                      Xout, Yout, Fout)      


      use Agrif_Util
#include "Param_BeforeCall_cinterp2d.h"
      integer(4), intent(in) :: LBx
      integer(4), intent(in) :: UBx
      integer(4), intent(in) :: LBy
      integer(4), intent(in) :: UBy
      integer(4), intent(in) :: Istr
      integer(4), intent(in) :: Iend
      integer(4), intent(in) :: Jstr
      integer(4), intent(in) :: Jend
      real(8), intent(in), dimension(LBx:UBx) :: Xinp
      real(8), intent(in), dimension(LBy:UBy) :: Yinp
      real(8), intent(in), dimension(LBx:UBx,LBy:UBy) :: Finp
      real(8), intent(in), dimension(-1: Agrif_tabvars_i(2)%iarray0+2+ A
     &grif_tabvars_i(13)%iarray0,-1: Agrif_tabvars_i(4)%iarray0+2+ Agrif
     &_tabvars_i(14)%iarray0) :: Xout
      real(8), intent(in), dimension(-1: Agrif_tabvars_i(2)%iarray0+2+ A
     &grif_tabvars_i(13)%iarray0,-1: Agrif_tabvars_i(4)%iarray0+2+ Agrif
     &_tabvars_i(14)%iarray0) :: Yout
      real(8), intent(out), dimension(-1: Agrif_tabvars_i(2)%iarray0+2+ 
     &Agrif_tabvars_i(13)%iarray0,-1: Agrif_tabvars_i(4)%iarray0+2+ Agri
     &f_tabvars_i(14)%iarray0) :: Fout
      

        call Sub_Loop_cinterp2d(LBx,UBx,LBy,UBy,Xinp,Yinp,Finp,Istr,Iend
     &,Jstr,Jend,Xout,Yout,Fout, Agrif_tabvars_i(14)%iarray0, Agrif_tabv
     &ars_i(4)%iarray0, Agrif_tabvars_i(13)%iarray0, Agrif_tabvars_i(2)%
     &iarray0)

      end


#include "Sub_Loop_cinterp2d.h"

